package com.kingdee.eas.custom.integration.base.exception;

/**
 * 公共错误码
 */
public class CommonErrorCodes {

    public static final ErrorCode SYSTEM_ERROR =
            new DefaultErrorCode("CM01001", "系统内部错误，请联系管理员处理 。");

    public static final ErrorCode PARAM_MISSING =
            new DefaultErrorCode("CM01002", "缺少必要参数");

    public static final ErrorCode SIGN_INVALID =
            new DefaultErrorCode("CM01003", "签名校验失败");


    public static final ErrorCode USER_NOT_LOGIN =
            new DefaultErrorCode("CM01004", "用户未登录");

    public static final ErrorCode USER_NOT_EXIST =
            new DefaultErrorCode("CM01005", "用户不存在，请联系管理员处理 。");


    public static final ErrorCode USER_PASSWORD_ERROR =
            new DefaultErrorCode("CM01006", "用户密码错误");

    public static final ErrorCode REDIRECT_URL_EMPTY =
            new DefaultErrorCode("CM01007", "重定向地址为空");


    public static final ErrorCode GET_USERINFO_FAILED =
            new DefaultErrorCode("CM01008", "获取用户信息失败");

    public static final ErrorCode TOKEN_FAILED =
            new DefaultErrorCode("FS01009", "获取Token失败");


    public static final ErrorCode BUILD_SSO_SHR_URL_FAILED =
            new DefaultErrorCode("CM01010", "构建单点sHR地址失败");

    public static final ErrorCode CODE_EMPTY =
            new DefaultErrorCode("CM01011", "授权码为空，请稍后重试！");

    public static final ErrorCode BILL_NOT_EXIST =
            new DefaultErrorCode("CM01012", "sHR系统单据不存在");

    public static final ErrorCode USER_DISABLED =
            new DefaultErrorCode("CM01013", "用户已禁用！");

    public static final ErrorCode REQUEST_TIMEOUT =
            new DefaultErrorCode("CM01014", "请求超时");

    public static final ErrorCode UNSUPPORTED_CLIENT =
            new DefaultErrorCode("CM01015", "不支持的客户端");
}